summaryrefslogtreecommitdiff
path: root/sci-libs
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-04 07:15:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-04 07:15:12 +0000
commit50a73c5441045f14bdb49aededf33cd7f23ff891 (patch)
treed46a64bc26e840cfdb696d40c8c462410d4a792f /sci-libs
parente894cc4b9697c5a1d6ab5997ecda9e9b2ee53773 (diff)
downloadbaldeagleos-repo-50a73c5441045f14bdb49aededf33cd7f23ff891.tar.gz
baldeagleos-repo-50a73c5441045f14bdb49aededf33cd7f23ff891.tar.xz
baldeagleos-repo-50a73c5441045f14bdb49aededf33cd7f23ff891.zip
Adding metadata
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/libqalculate/Manifest1
-rw-r--r--sci-libs/libqalculate/libqalculate-5.10.0.ebuild89
2 files changed, 90 insertions, 0 deletions
diff --git a/sci-libs/libqalculate/Manifest b/sci-libs/libqalculate/Manifest
index 7ebc7bb09994..b0689e1cbc3e 100644
--- a/sci-libs/libqalculate/Manifest
+++ b/sci-libs/libqalculate/Manifest
@@ -1,2 +1,3 @@
+DIST libqalculate-5.10.0.tar.gz 2297914 BLAKE2B 3545d9893ef54296aa0dba9f6d8c064c9a8f2dfbfa6906eece54c9534c24b143ab49546e760264f33dfc78c87fc6dc4ecd0deae7cca3d7a9b0f096ee93596591 SHA512 4b9d0e07e7915acea052d153298d175dcfcc0e116e2c106d0296c06eb4459f2c072e813b590c3f92826bce29eea15c439f5a7984695b3bf36e48932218df5cc9
DIST libqalculate-5.8.2.tar.gz 2370999 BLAKE2B 4a7fd5d5a4977e2506c88b3cdfea681841d19e831b31bf644c923764c192b48c4b8b2659077f54e0784c49417b5611b3255801042aaa8d8f4c984f1ac3f0738b SHA512 7f35184fdab3a0bd10ae39c54023491aaa52160f9bd97c4b6e3bb465b49389009627719da2678015d9b297fa8339cc0abe48332fccfe51ad9b2ee888a608ac0a
DIST libqalculate-5.9.0.tar.gz 2282817 BLAKE2B 74a53595ecd2e6487d46834b863bf45ee13c282c6a8ad9e5d7be4924996661aff7d3e77607d6d2a383b6e9993f06973a73a2c959dcd638b1e3db849361430845 SHA512 8c9e2515da0b4bd4d8116a196f2a5f32e8e20a6075e548db41ed40c252f9ae6d4b9997d6c4dd2574f32b42f2248af1f604c7c54ff8a96e08138e9c8153a6805c
diff --git a/sci-libs/libqalculate/libqalculate-5.10.0.ebuild b/sci-libs/libqalculate/libqalculate-5.10.0.ebuild
new file mode 100644
index 000000000000..06a910bcafc9
--- /dev/null
+++ b/sci-libs/libqalculate/libqalculate-5.10.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+# Bump with sci-calculators/qalculate-gtk and sci-calculators/qalculate-qt
+
+inherit autotools flag-o-matic toolchain-funcs
+
+MY_PV="${PV//b/}"
+
+DESCRIPTION="A modern multi-purpose calculator library"
+HOMEPAGE="https://qalculate.github.io/"
+SRC_URI="https://github.com/Qalculate/libqalculate/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/"${PN}-${MY_PV}"
+
+LICENSE="GPL-2+"
+# SONAME changes pretty often on bumps. Check!
+SLOT="0/23.3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="+curl icu gnuplot +hardened readline test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/gmp:=
+ dev-libs/libxml2:2=
+ dev-libs/mpfr:=
+ virtual/libiconv
+ curl? ( net-misc/curl )
+ icu? ( dev-libs/icu:= )
+ readline? ( sys-libs/readline:= )"
+RDEPEND="${DEPEND}
+ gnuplot? ( >=sci-visualization/gnuplot-3.7 )"
+BDEPEND="dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+ cat >po/POTFILES.skip <<-EOF || die
+ # Required by make check
+ data/currencies.xml.in
+ data/datasets.xml.in
+ data/elements.xml.in
+ data/functions.xml.in
+ data/planets.xml.in
+ data/prefixes.xml.in
+ data/units.xml.in
+ data/variables.xml.in
+ src/defs2doc.cc
+ EOF
+
+ eautoreconf
+}
+
+src_configure() {
+ # Needed for po-defs/Makefile
+ export CXX_FOR_BUILD="$(tc-getBUILD_CXX)"
+ export CXXCPP_FOR_BUILD="$(tc-getBUILD_CXX) -E"
+
+ # bug #792027
+ tc-export CC
+
+ # bug #924939
+ use elibc_musl && append-ldflags -Wl,-z,stack-size=2097152
+
+ local myeconfargs=(
+ $(use_enable test tests)
+ $(use_enable test unittests)
+ $(use_with curl libcurl)
+ $(use_with gnuplot gnuplot-call)
+ $(use_enable !hardened insecure)
+ $(use_with icu)
+ $(use_with readline)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ # docs/reference/Makefile.am -> referencedir=
+ emake \
+ DESTDIR="${D}" \
+ referencedir="${EPREFIX}/usr/share/doc/${PF}/html" \
+ install
+
+ einstalldocs
+
+ find "${ED}" -name '*.la' -delete || die
+}